package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 动力能源部行输科废旧备件登记对象 power_energy_spare_parts_registration
 * 
 * @author Yinq
 * @date 2025-06-06
 */
@ExcelIgnoreUnannotated
public class PowerEnergySparePartsRegistration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long objid;

    /** 日期 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "日期")
    private String date;

    /** 备件名称 */
    @ExcelProperty(value = "备件名称")
    private String sparePartsName;

        /** 备件型号 */
        @ExcelProperty(value = "备件型号")
        private String sparePartModel;

    /** 废存数量 */
    @ExcelProperty(value = "废存数量")
    private Long wasteQuantity;

    /** 存放位置 */
    @ExcelProperty(value = "存放位置")
    private String storageLocation;

    /** 登记人 */
    @ExcelProperty(value = "登记人")
    private String registrar;

    /** 库管确认 */
    @ExcelProperty(value = "库管确认")
    private String warehouseConfirmation;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setDate(String date) 
    {
        this.date = date;
    }

    public String getDate() 
    {
        return date;
    }
    public void setSparePartsName(String sparePartsName) 
    {
        this.sparePartsName = sparePartsName;
    }

    public String getSparePartsName() 
    {
        return sparePartsName;
    }
    public void setWasteQuantity(Long wasteQuantity)
    {
        this.wasteQuantity = wasteQuantity;
    }

    public Long getWasteQuantity()
    {
        return wasteQuantity;
    }
    public void setStorageLocation(String storageLocation)
    {
        this.storageLocation = storageLocation;
    }

    public String getStorageLocation() 
    {
        return storageLocation;
    }
    public void setRegistrar(String registrar) 
    {
        this.registrar = registrar;
    }

    public String getRegistrar() 
    {
        return registrar;
    }
    public void setWarehouseConfirmation(String warehouseConfirmation) 
    {
        this.warehouseConfirmation = warehouseConfirmation;
    }

    public String getWarehouseConfirmation() 
    {
        return warehouseConfirmation;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setSparePartModel(String sparePartModel) 
    {
        this.sparePartModel = sparePartModel;
    }
    public String getSparePartModel() 
    {
        return sparePartModel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("date", getDate())
            .append("sparePartsName", getSparePartsName())
            .append("wasteQuantity", getWasteQuantity())
            .append("storageLocation", getStorageLocation())
            .append("registrar", getRegistrar())
            .append("warehouseConfirmation", getWarehouseConfirmation())
            .append("remarks", getRemarks())
            .append("sparePartModel", getSparePartModel())
            .toString();
    }
}
